<div *ngFor="let user of users">
  <div class="card box-shadow mb-3 card-user position-relative">
    <div class="card-body">
      <div class="row">
        <div class="col-md-3 mb-3">
          <div class="fw-bold">Name</div>
          <div>{{user.firstName}}</div>
        </div>
        <div class="col-md-3 mb-3">
          <div class="fw-bold">Surname</div>
          <div>{{user.surname}}</div>
        </div>
        <div class="col-md-3 mb-3">
          <div class="fw-bold">Patronimic</div>
          <div>{{user.patronymic}}</div>
        </div>
        <div class="col-md-3 mb-3">
          <div class="fw-bold">Login</div>
          <div>{{user.login}}</div>
        </div>
        <div class="col-md-3 mb-3">
          <div class="fw-bold">Email</div>
          <div>{{user.email}}</div>
        </div>
      </div>
    </div>
    <div class="remove-user" title="Remove" (click)="remove(user.id)"><i class="fa fa-times"></i></div>
  </div>
</div>

<pagination *ngIf="pagination"
  [boundaryLinks]="true"
  [totalItems]="pagination.totalItems"
  [itemsPerPage]="pagination.itemsPerPage"
  [maxSize]="10"
  [(ngModel)]="pagination.currentPage"
  (pageChanged)="pageChanged($event)"
  previousText="&lsaquo;"
  nextText="&rsaquo;"
  firstText="&laquo;"
  lastText="&raquo;">
</pagination>
